<?php

/**
 * [highend_blog_enqueue_style description]
 * @return [type] [description]
 */
function highend_blog_enqueue_style() {

	/**
	 * If using WooCommerce, child style will also depend on di-blog-style-woo.
	 * @var array
	 */
	$dependency = array( 'bootstrap', 'font-awesome', 'di-blog-style-default', 'di-blog-style-core' );
	if( class_exists( 'WooCommerce' ) ) {
		$dependency = array( 'bootstrap', 'font-awesome', 'di-blog-style-default', 'di-blog-style-core', 'di-blog-style-woo' ); 
	}

	/**
	 * Load parent theme default style files.
	 */
    wp_enqueue_style( 'di-blog-style-default', get_template_directory_uri() . '/style.css' );

    /**
     * Load style file of this child theme.
     */
    wp_enqueue_style( 'highend-blog-style',  get_stylesheet_directory_uri() . '/style.css', $dependency, wp_get_theme()->get('Version'), 'all' );
}
add_action( 'wp_enqueue_scripts', 'highend_blog_enqueue_style' );

/**
 * [highend_blog_default_a_color description]
 * @param  [type] $default_a_color [description]
 * @return [type]                  [description]
 */
function highend_blog_default_a_color( $default_a_color ) {
	$default_a_color = '#00c300';
	return $default_a_color;
}
add_filter( 'di_blog_default_a_color', 'highend_blog_default_a_color' );

/**
 * [highend_blog_woo_onsale_lbl_bg_clr description]
 * @param  [type] $woo_onsale_lbl_bg_clr [description]
 * @return [type]                        [description]
 */
function highend_blog_woo_onsale_lbl_bg_clr( $woo_onsale_lbl_bg_clr ) {
	$woo_onsale_lbl_bg_clr = '#00c300';
	return $woo_onsale_lbl_bg_clr;
}
add_filter( 'di_blog_woo_onsale_lbl_bg_clr', 'highend_blog_woo_onsale_lbl_bg_clr' );

/**
 * [highend_blog_woo_price_clr description]
 * @param  [type] $woo_price_clr [description]
 * @return [type]                [description]
 */
function highend_blog_woo_price_clr( $woo_price_clr ) {
	$woo_price_clr = '#00c300';
	return $woo_price_clr;
}
add_filter( 'di_blog_woo_price_clr', 'highend_blog_woo_price_clr' );

